import React from 'react';
import Card from './Card';
import { joinClassNames } from './classNames';


interface EventProps{
  children?: React.ReactNode;
  date: string; 
  text: string; 
  marker?: React.ReactNode; 
  className: string; 
  card?: Function; 
  layout: string; 
  id?: string; 
}

export default function Event({ date, children, className, card, layout, id}: EventProps) {
  


  let CardComponent;
  if (typeof card === 'function') {
    CardComponent = card({ date, children });
  } else {
    CardComponent = <Card  children={children}/>;
  }

  const classNames = joinClassNames({classNames:['event', className, layout]});

  return (
    <div className={classNames}>


      <div className={`card-col`} id={id}>{CardComponent}</div>
    </div>
  );
}


