import { HPMoreButton } from "./Buttons";

function TimeItem({tag, title, pic, author, tabid}: ItemProps){
    let cl = "t-tag " + tag;
    return(
    <li className="timelineolli">
      <div className="timeline-item moretop">
        <div className="">
            <div className={cl}>
                {tag}
            </div>
            
            <div className="row align-items-center">
              <div className="col" >
              <img className="img-round" src={pic}/>
              </div>
              <div className="col" >
                  {title}
              </div>
            </div>
            <div className="row align-items-center">
              <div className="col">
                <p style={{marginTop: "10px"}}>{author}</p>
              </div>
              <div className="col-4">
                <div className="tab">
                <HPMoreButton name={tabid}/>
                </div>
              </div>
            </div>
            
            
        </div>
      </div>
    </li>
    )
  }
  
  function TimeItemMeta({ tag, title, pic, author, tabid}: ItemProps){
    return(
    <li className="timelineolli">
      <div className="timeline-item time-meta moretop">
        <div className="">
            <div className=" t-tag colour-meta-tag">
                {tag}
            </div>
            
            <div className="row align-items-center">
              <div className="col" >
               <img className="img-cube" src={pic} />
              </div>
              <div className="col" >
                  {title}
              </div>
            </div>
            <div className="row align-items-center">
              <div className="col">
                <p style={{marginTop: "10px"}}>{author}</p>
              </div>
              <div className="col-4">
                <div className="tab">
                <HPMoreButton name={tabid}/>
                </div>
              </div>
            </div>
            
            
        </div>
      </div>
    </li>
    )
  }
  
  
  
  
  export function AllPopus(){
    let rows = []
    for ( let i = 0;  i < data.length; i++ ){
      rows.push(<Popup person={data[i].author}>
        Hi
      </Popup>)
    }
    return rows; 
  }
  
  export function TimeHori({tab}:{tab: string}){
    let nod; 
    /* console.log("TimeHori") */
    if (tab === ""){  
      nod = <AllItems></AllItems>
      /* console.log("Tab = ''") */
    }
    else{
      /* console.log("Tab") */
      nod = getItemsByType(tab);
    }
    return(
    <div>
  <section className="timeline">
  <ol className="timelineol">
      {nod}
    <li className="timelineolli"></li>
  </ol>
  
  
  </section>
  </div>
  
    )
  }
  
  function Open({person}:{person: string}){
    const openPop =  (_event : React.MouseEvent<HTMLButtonElement, MouseEvent>) => {
      var popup = document.getElementById(person);
      popup!.classList.toggle("show");
    }
    return openPop; 
    }
  
  interface PopProps {
    person: string, 
    children: React.ReactNode
    }
    
  
  function Popup({person, children}: PopProps){
    return(
      <div id="myPopup" className="popup">
        <span className="popuptext" id={person}>
          <div>
          {children}
          </div>
          <button onClick={Open({person})}>Close</button>
        </span>
        
      </div>
    )
    }
  
/*   
     export function openCity({cityName}:{cityName: string}) {
        const opencity =  (event : React.MouseEvent<HTMLButtonElement, MouseEvent>) =>{
        var i, tabcontent, tablinks;
        tabcontent = document.getElementsByClassName("tabcontent");
        for (i = 0; i < tabcontent.length; i++) {
          (tabcontent[i] as HTMLElement).style.display = "none";
        }
        tablinks = document.getElementsByClassName("tablinks");
        for (i = 0; i < tablinks.length; i++) {
          tablinks[i].className = tablinks[i].className.replace(" active", "");
        }
        document.getElementById(cityName)!.style.display = "block";
        event.currentTarget.className += " active";
        }
        return opencity; 
      } */
      
      interface ItemProps {
        title: string ,
        children: React.ReactNode;
        tag: string, 
        pic: string,
        author: string, 
        tabid: string
        }
    
        


      function AllItems(){
        let rows = []
        for ( let i = 0;  i < data.length; i++ ){
          if (data[i].type === "meta"){
            rows.push(<TimeItemMeta 
              title={data[i].title}
              pic={data[i].pic}
              tag={data[i].tag}
              author={data[i].author}
              tabid={data[i].tabid}
              >
                {data[i].text}
              </TimeItemMeta>)
          }
          else{
            rows.push(<TimeItem 
              title={data[i].title}
              pic={data[i].pic}
              tag={data[i].tag}
              author={data[i].author}
              tabid={data[i].tabid}
              >
                {data[i].text}
              </TimeItem>)
          }
          
        }
        return rows; 
      }

      
      export function getItemsByType(tabid: string) {
        let rows = []
        for (let i = 0; i < data.length; i++) {
            if (tabid === data[i].tag) {
                rows.push(<TimeItem
                    key={i}
                    title={data[i].title}
                    pic={data[i].pic}
                    tag={data[i].tag}
                    author={data[i].author}
                    tabid={data[i].tabid}
                >
                    {data[i].text}
                </TimeItem>)
            }
        }
        return rows; 
    }
    
      
      let data = [
        {
          title: "Team",
          pic: "https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg",
          tag: "Tag",
          author: "Name",
          tabid: "",
          text: " ", 
          type: "meta"
          },
          {
        title: "Erste Presi",
        pic: "https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg",
        tag: "Tag",
        author: "Name",
        tabid: "",
        text: " ", 
        type: "meta"
        },
        {
          title: "Verworfenes",
          pic: "https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg",
          tag: "Tag",
          author: "Name",
          tabid: "",
          text: " ", 
          type: "meta"
          },
          {
            title: "",
            pic: "https://static.igem.wiki/teams/5247/photos/hp/kristian.jpeg",
            tag: "Academia",
            author: "Kristian",
            tabid: "",
            text: " "
            },
        {
        title: "First Impression",
        pic: "https://static.igem.wiki/teams/5247/photos/hp/hp-max-portrait.jpg",
        tag: "Patient",
        author: "Max Beckmann",
        tabid: "InvMax1",
        text: " "
        },
        {
          title: "Approach??" ,
          pic: "https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg",
          tag:  "Academia",
          author: "Prof. Dr. Christoph Weber",
          tabid: "InvWeber",
          text: "Text",
          },
          {
            title: "Brainstorming",
            pic: "https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg",
            tag: "Tag",
            author: "Name",
            tabid: "",
            text: " ", 
            type: "meta"
            },
            {
              title: "",
              pic: "https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg",
              tag: "Industry",
              author: "Michaela",
              tabid: "",
              text: " "
              },
        {
          title: "More Experts",
          pic: "https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg",
          tag: "Tag",
          author: "Name",
          tabid: "",
          text: " ", 
          type: "meta"
          },
          {
            title: "Progress",
            pic: "https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg",
            tag: "Tag",
            author: "Name",
            tabid: "",
            text: " ", 
            type: "meta"
            },
        {
        title: "Breathing therapy" ,
        pic: "https://static.igem.wiki/teams/5247/photos/hp/hp-katrin-portrait.jpg",
        tag:  "Medical Professional",
        author: "Katrin Westhoff",
        tabid: "InvWesthoff",
        text: "Text",
        },
        {
          title: "" ,
          pic: "https://static.igem.wiki/teams/5247/photos/hp/olariu-cristian.jpg",
          tag:  "Medical Professional",
          author: "Cristian-Gabriel Olariu",
          tabid: "InvOlariu",
          text: "Text",
        },
        {
          title: "" ,
          pic: "https://static.igem.wiki/teams/5247/photos/hp/mattijs.jpg",
          tag:  "Academia",
          author: "Mattijs Bulcaen",
          tabid: "InvBulcaen1",
          text: "Text",
          },
          {
            title: "" ,
            pic: "https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg",
            tag:  "Academia",
            author: "Nicole Friedlein",
            tabid: "InvFriedlein",
            text: "Text",
          },
          {
            title: "Physiotherapie live" ,
            pic: "https://static.igem.wiki/teams/5247/photos/hp/hp-katrin-portrait.jpg",
            tag:  "Medical Professional",
            author: "Katrin Westhoff",
            tabid: "BesWesthoff",
            text: "Text",
            },
        {
          title: "" ,
          pic: "https://static.igem.wiki/teams/5247/photos/hp/julia.jpg",
          tag:  "Patient",
          author: "Julia",
          tabid: "InvJulia",
          text: "Text",
        },
        {
          title: "" ,
          pic: "https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg",
          tag:  "Patient",
          author: "Joshua",
          tabid: "InvJoshua",
          text: "Text",
        },
        {
          title: "Research Group Cellular Neurophysiology" ,
          pic: "https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg",
          tag:  "Academia",
          author: "Prof. Dr. Erhard Wischmeyer",
          tabid: "InvWischmeyer",
          text: "Text",
        },
/*         {
          title: "Approach??" ,
          pic: "https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg",
          tag:  "Academia",
          author: "Prof. Dr. Stefan Hammer",
          tabid: "InvHammer",
          text: "Text",
        },   */  
        {
          title: "First Steps in LNP" ,
          pic: "https://static.igem.wiki/teams/5247/photos/hp/kolonko-neu.jpg",
          tag:  "Academia",
          author: "Dr. Katharina Kolonko",
          tabid: "InvKolonko",
          text: "Text",
        },
        {
          title: "",
          pic: "https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg",
          tag: "Academia",
          author: "Vinke",  
          tabid: "",
          text: " "
          },
          {
            title: "Hygiene Concept",
            pic: "https://static.igem.wiki/teams/5247/photos/hp/hp-max-portrait.jpg",
            tag: "Patient",
            author: "Max Beckmann",
            tabid: "InvMax2",
            text: " "
            },
          {
            title: "",
            pic: "https://static.igem.wiki/teams/5247/photos/hp/berens.jpg",
            tag: "Academia",
            author: "Dr. Eva-Maria Berens",
            tabid: "Berens",
            text: ""
            },
            {
              title: "",
              pic: "https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg",
              tag: "Academia",
              author: "Collabs",
              tabid: "",
              text: " "
              },
        {
          title: "" ,
          pic: "https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg",
          tag:  "Industry",
          author: "RNale",
          tabid: "InvRNale",
          text: "Text",
        },
        {
          title: "",
          pic: "https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg",
          tag: "Academia",
          author: "LiU",
          tabid: "",
          text: " "
          },
          {
            title: "",
            pic: "https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg",
            tag: "Academia",
            author: "Corden Pharma",
            tabid: "",
            text: " "
            },
            {
              title: "" ,
              pic: "https://static.igem.wiki/teams/5247/photos/hp/mattijs.jpg",
              tag:  "Academia",
              author: "Mattijs Bulcaen",
              tabid: "InvBulcaen2",
              text: "Text",
              },
              {
                title: "Research Group Cellular Neurophysiology" ,
                pic: "https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg",
                tag:  "Academia",
                author: "Dr. Oliver Dräger",
                tabid: "InvWischmeyer",
                text: "Text",
                },
        
       
        
        
        ]