import gsap from "gsap"; 
import { useGSAP } from "@gsap/react";
import { ScrollTrigger } from "gsap/dist/ScrollTrigger";
import { useRef } from 'react';
import { MotionPathPlugin } from "gsap/dist/MotionPathPlugin";
import { LoremMedium } from "./loremipsum";
import { H2 } from "./headings";



function TestSVG() {
  gsap.registerPlugin(useGSAP);
  gsap.registerPlugin(MotionPathPlugin);
  gsap.registerPlugin(ScrollTrigger);
  
console.log("Started TestSVG")
  const vectorRef = useRef(null);
  const payloadRef = useRef(null);
  const inhalatorRef = useRef(null);

  useGSAP(
    () => {
    gsap.registerPlugin(ScrollTrigger);
    gsap.registerPlugin(useGSAP);
    gsap.registerPlugin(MotionPathPlugin);
    
    gsap.defaults({ease: "none"});

    const main = gsap.timeline({
      scrollTrigger: {
        trigger: "svg",
        scrub: true,
        start:"top middle",
        end: "bottom middle"
      }
    })
    
    .from(".theLine", {drawSVG: 0}, 0)
    .to(payloadRef.current, {motionPath:{
      path:".theLine",
      align:".theLine",
      alignOrigin:[0.5, 0.5],
    }}, 0)
    .from(".theLine2", {drawSVG: 0}, 0)
    .to(vectorRef.current, {motionPath:{
      path:".theLine2",
      align:".theLine2",
      alignOrigin:[0.5, 0.5],
    }}, 0).from(".theLine3", {drawSVG: 0}, 0)
    .to(inhalatorRef.current, {motionPath:{
      path:".theLine3",
      align:".theLine3",
      alignOrigin:[0.5, 0.5],
    }}, 0)
    console.log(main)
  },
  );

 
  return (
    <div className="row col">
       <svg id="svg"   viewBox="0 0 1500 1000">
            {/* 
          <path className="theLine" d="S 50"
          stroke="white" strokeWidth="10px"></path>

          <path className="theLine2" d="M 300 50 S 50 200"
            stroke="white" strokeWidth="10px" width="10px"></path>
          */}
               <foreignObject x="5vw" y="5vh" className="box1">
                  <H2 id="mutcans" text="Mutation canidates"/>
                  <p >
                  <LoremMedium></LoremMedium>
                  </p>
              </foreignObject> 
              <foreignObject className="box2">
              <H2 id="mutcans2" text="Mutation canidates"/>
                  <p>
                  <LoremMedium></LoremMedium>
                  </p>
              </foreignObject>

          {/* <path className="theLine3" d="M 300"
            stroke="white" strokeWidth="10px"></path> */}

        </svg>
      {/* </svg> */}
      {/* <text ref={vectorRef}>H</text>
      <text ref={payloadRef}>B</text> */}
      {/* <img ref={vectorRef} src="https://static.igem.wiki/teams/5247/scientific-figures/antibiotics-capsule.svg" alt="vectorImg"/>
       */}{/* <img ref={payloadRef} src="https://static.igem.wiki/teams/5247/scientific-figures/antibiotics-inhaler.svg" alt="payloadImg"/>
     */}
    {/*  <img className="test2" ref={inhalatorRef} src="https://static.igem.wiki/teams/5247/scientific-figures/antibiotics-capsule.svg" alt="vectorImg" />
    */} </div>
  );
}

export default TestSVG;

